package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.gs.AddressBook;
import com.tofly.xrtygis.entity.Rxsmstxitem;
import com.tofly.xrtygis.entity.Rxsmstxlx;

import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/4/1 13:51
 */
public interface CustomNoteService {
    boolean saveDxbt(Rxsmstxitem rxsmstxitem);

    List<Rxsmstxitem> getTitile( Rxsmstxitem rxsmstxitem);

    boolean updateTitile(Rxsmstxitem rxsmstxitem);

    boolean delTitile(List<String> idList);

    boolean saveTemplate(Rxsmstxlx rxsmstxlx);

    IPage getTemplate(Page page, Rxsmstxlx rxsmstxlx);

    boolean updateTemplate(Rxsmstxlx rxsmstxlx);

    boolean delTemplate(List<String> asList);

    IPage<Map> getBook(Page page, AddressBook addressBook);

    boolean updateBook(AddressBook addressBook);
}
